<div class="instances-title">
    <h2>Omgevingen</h2>
</div>

<div class="instances-crud">

    <div data-zs-crud-template-parser data-config="instancesCrud.getCrudConfig()" data-zs-crud-data-provider="instancesCrud.getInstances($currentPage, $numPerPage, $sortBy, $sortReversed)" data-zs-crud-instances-data-provider>

    </div>
</div>

<div class="instances-summary">
    <zs-instances-customer-summary
        customer="instancesCrud.getCustomerConfig()"
        editable="instancesCrud.canEdit()"
    ></zs-instances-customer-summary>

    <zs-instances-customer-host-list
        customer="instancesCrud.getCustomerConfig()"
        instances="instancesView.getInstances()"
        on-host-update="instancesView.onHostUpdate($hosts)"
        editable="instancesCrud.canEdit()"
        >
    </zs-instances-customer-host-list>
    <div class="instances-widgets">
        <div class="summary-block">
            <div class="summary-block-title">Diskspace</div>
            <div class="summary-block-content"><[instancesView.getDiskspaceLabel()]></div>
        </div>
        <div class="summary-block">
            <div class="summary-block-title">Aantal omgevingen</div>
            <div class="summary-block-content"><[instancesView.getActiveInstancesLabel()]></div>
        </div>
        <div class="summary-block">
            <div class="summary-block-title">Uptime</div>
            <div class="summary-block-content"><[instancesView.getUptimeLabel()]></div>
        </div>
    </div
</div>

<script type="text/ng-template" id="/html/admin/instances/instances.html#add">
    <div data-zs-modal data-zs-modal-title="Omgeving aanmaken">

        <div data-zs-form-template-parser data-config="instancesAdd.getFormConfig()" data-zs-form-submit="instancesAdd.handleFormSubmit($values, closePopup)">
        </div>

    </div>
</script>

<script type="text/ng-template" id="/html/admin/instances/instances.html#url">
    <input class="instance-url-field" type="text" name="<[field.name]>" data-zs-form-field data-ng-model="scope[field.name]" data-ng-required="getRequired(field)" data-ng-pattern="field.data.pattern" id="<[getFieldId(field)]>" data-zs-placeholder="field.data.placeholder||''" data-zs-validation="<[field.data.validation]>"/>

    <div class="instances-add-customer-domain">
        .<[domain]>
    </div>

</script>

<script type="text/ng-template" id="/html/admin/instances/instances.html#status">

    <div class="instance-status instance-status-<[instancesCrud.getStatus(item)]>">
        <i class="instance-status-icon">
        </i>

        <span class="instance-status-label">
            <[instancesCrud.getStatusLabel(item)]>
        </span>
    </div>

</script>

<script type="text/ng-template" id="/html/admin/instances/instances.html#status">

    <div class="instance-status instance-status-<[instancesCrud.getStatus(item)]>">
        <i class="instance-status-icon">
        </i>

        <span class="instance-status-label">
            <[instancesCrud.getStatusLabel(item)]>
        </span>
    </div>

</script>

<script type="text/ng-template" id="/html/admin/instances/instances.html#crud-menu">
    <div class="crud-item-action-menu clearfix" data-zs-popup-menu data-zs-popup-menu-positioning="smart" data-ng-controller="nl.mintlab.core.crud.CrudItemActionMenuController">
        <button class="crud-item-action-menu-open-button btn btn-flat btn-small btn-round btn-secondary" data-zs-popup-menu-position-reference data-ng-click="handleOpenMenuClick($event);">
            <i class="mdi mdi-dots-vertical"></i>
        </button>
        <ul class="crud-item-action-menu-list popup-menu zs-popup-menu-list" data-ng-include="'/html/core/crud/action-menu.html'" data-zs-popup-menu-list data-ng-show="isPopupMenuOpen()">
        </ul>
    </div>
</script>

<script type="text/ng-template" id="/html/admin/instances/instances.html#edit">

    <div data-zs-modal data-zs-modal-title="Bewerken">
        <zs-instances-edit
            data-instance="selectedItems[0]"
            data-controlpanel-id="instancesCrud.getControlPanelId()"
            data-domain="<[instancesView.getDomain()]>"
            data-customer-config="instancesView.getCustomerConfig()"
            data-on-complete="closePopup()"
            data-show-template-option="!instancesView.isPip()"
            data-show-softwareversion="!instancesView.isPip()"
            >
        </zs-instances-edit>
    </div>

</script>

<script type="text/ng-template" id="/html/admin/instances/instances.html#details">
    <div data-zs-modal data-zs-modal-title="Details">
        <zs-instances-details
            data-instance="selectedItems[0]"
            data-controlpanel-id="instancesCrud.getControlPanelId()"
            data-domain="<[instancesView.getDomain()]>"
            data-customer-config="instancesView.getCustomerConfig()"
            data-on-complete="closePopup()"
            data-show-template-option="!instancesView.isPip()"
            >
        </zs-instances-details>
    </div>
</script>

<script type="text/ng-template" id="/html/admin/instances/instances.html#access">

    <div data-zs-modal data-zs-modal-title="Toegangsbeheer">

        <div class="instance-access" data-zs-instances-access data-instance="selectedItems[0]" data-zs-instance-access-save="instancesCrud.updateInstance()" data-customer-id="instancesCrud.getCustomerId()">

            <div class="instance-access-add-entry" data-ng-show="!instancesAccess.isFormVisible()">
                <button type="button" class="button button-secondary button-smaller" data-ng-click="instancesAccess.toggleForm()">
                    Voeg IP-adres toe
                </button>
            </div>

            <form name="access" class="instance-access-form" data-ng-submit="access.$valid&&instancesAccess.addAddress(title, address);title='';address='';access.$setPristine();instancesAccess.closeForm();" data-ng-show="instancesAccess.isFormVisible()">
                <div class="instance-access-form-title">
                    <label>
                        <input type="text" name="title" data-ng-model="title" data-ng-required="true" data-zs-placeholder="'Titel'" />
                    </label>
                </div>
                <div class="instance-access-form-address">
                    <label>
                        <input type="text" name="address" data-ng-model="address" data-ng-required="true" data-ng-pattern="^[-0-9,.]+$" data-zs-placeholder="'Adres'" />
                    </label>
                </div>
                <div class="instance-access-form-options">
                    <button type="submit" class="button button-secondary button-small" data-ng-disabled="!access.$valid">
                        Voeg adres toe
                    </button>
                    <button type="button" data-ng-click="instancesAccess.closeForm()">
                    </button>
                </div>
            </form>

            <div class="instance-access-crud" data-zs-crud-template-parser data-config="instancesAccess.getCrudConfig()" data-zs-crud-data-provider="instancesAccess.getCrudItems()">
            </div>

            <div class="instance-access-submit">
                <button type="button" class="button button-primary" data-ng-click="instancesAccess.saveChanges()" data-ng-disabled="submitting||!instancesAccess.hasUnsavedChanges()">
                    Sla wijzigingen op
                </button>
            </div>
        </div>

    </div>

</script>

<script type="text/ng-template" id="/html/admin/instances/instances.html#access-remove">
    <button type="button" data-ng-click="instancesAccess.handleRemoveClick(item, $event)">
        <i class="icon-font-awesome icon-trash"></i>
    </button>
</script>

<script type="text/ng-template" id="/html/admin/instances/instances.html#host-create">

    <div data-zs-modal data-zs-modal-title="Host aanmaken">

        <zs-instances-customer-host-form
            instances="instancesCustomerHostList.getInstances()"
            data-controlpanel="instancesCustomerHostList.getControlpanelInstance()"
            data-on-submit="instancesCustomerHostList.handleAddSubmit($host)"
            data-on-complete="closePopup()"
        >
        </zs-instances-customer-host-form>

    </div>

</script>

<script type="text/ng-template" id="/html/admin/instances/instances.html#host-edit">

    <div data-zs-modal data-zs-modal-title="Host bewerken">

        <zs-instances-customer-host-form
            data-instances="instancesCustomerHostList.getInstances()"
            data-controlpanel="instancesCustomerHostList.getControlpanelInstance()"
            data-host="host"
            data-on-submit="instancesCustomerHostList.handleEditSubmit($host)"
            data-on-complete="closePopup()"
        >
        </zs-instances-customer-host-form>

    </div>

</script>

<script type="text/ng-template" id="/html/admin/instances/instances.html#customer-edit">

    <div data-zs-modal data-zs-modal-title="Configuratie bewerken">

        <zs-instances-customer-form
            data-customer="customer()"
            on-submit="instancesCustomerSummary.handleEditSubmit($values)"
            on-close="closePopup()"
        >
        </zs-instances-customer-form>

    </div>

</script>
